For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList secrets (metadata only)
      • POSTCreate a secret
      • POSTCheck which secret keys exist, are missing, or revoked
      • POSTGet intake manifest for secret configuration
      • POSTSubmit secret values from intake screen
      • POSTGenerate dashboard URL for configuring missing secrets
      • GETGet secret metadata
      • PUTUpdate or rotate a secret
      • DELDelete a secret
Dashboard
LogoLogo
Runtype APISecrets

List secrets (metadata only)

GET
/v1/secrets
GET
/v1/secrets
$curl https://api.runtype.com/v1/secrets \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "createdAt": "2024-05-20T10:15:30Z",
5 "description": "API key for accessing payment gateway",
6 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
7 "key": "payment_gateway_api_key",
8 "lastRotatedAt": "2024-06-01T08:00:00Z",
9 "phantomToken": null,
10 "status": "active",
11 "updatedAt": "2024-06-10T12:00:00Z",
12 "valuePreview": "sk_live_1234abcd5678efgh",
13 "version": 3
14 }
15 ],
16 "total": 1
17}
Was this page helpful?
Previous

Create a secret

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

Secrets list
datalist of objects
totalinteger

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error